List templates
get
Path parameters
productIdstringRequired
Responses
200
OK
application/json
get/public/v1/catalog/products/{productId}/templates
200
OK
Last updated
Was this helpful?
Was this helpful?
GET /public/v1/catalog/products/{productId}/templates HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"$meta": {
"pagination": {
"offset": 1,
"limit": 1,
"total": 1
},
"omitted": [
"text"
]
},
"data": [
{
"id": "text",
"audit": {
"created": {
"at": "2026-07-15T19:19:31.846Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-07-15T19:19:31.846Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"content": "text",
"type": "OrderProcessing",
"default": true,
"externalIds": {
"vendor": "text"
},
"product": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"externalIds": {
"operations": "text",
"defaultErpItem": "text"
},
"status": "text"
}
}
]
}